﻿/*
 * site.js
 */

$(function () {
	var placeholderElement = $('#modal-placeholder');

	$('button[data-toggle="ajax-modal"]').click(function (event) {
		var url = $(this).data('url');
		$.get(url).done(function (data) {
			placeholderElement.html(data);
			placeholderElement.find('.modal').modal('show');
		});
	});

	placeholderElement.on('click', '[data-save="modal"]', function (event) {
		event.preventDefault();

		var form = $(this).parents('.modal').find('form');
		var actionUrl = form.attr('action');
		var dataToSend = form.serialize();

		$.post(actionUrl, dataToSend).done(function (data) {
			var newBody = $('.modal-content', data);
			placeholderElement.find('.modal-content').replaceWith(newBody);

			if (newBody.find('[name="Logoff"]').val() == 'True') {
				placeholderElement.find('.modal').modal('hide');
				location.href = "/account/logout";
			}
			else if (newBody.find('[name="IsValid"]').val() == 'True') {
				placeholderElement.find('.modal').modal('hide');
				location.reload(true);
			}
		});
	});
});
